from os.path import join as joinpath, dirname
from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
from shutil import rmtree, move
import numpy

setup(
    name = 'compiled algorithms',
    cmdclass = {'build_ext': build_ext},
    ext_modules = [
        Extension("_algos", ["_algos.pyx"],
            include_dirs=[numpy.get_include()])
    ]
)
